Subject: Re: [PATCH v2] KVM: Optimize kvm_arch_vcpu_ioctl_run function

From: Marc Zyngier <[email-masked]>
Date: Thu, 16 Apr 2020 09:58:45 +0100

On 2020-04-16 09:45, Tianjia Zhang wrote:
> On 2020/4/16 16:28, Marc Zyngier wrote:

[...]

>> Overall, there is a large set of cleanups to be done when both the 
>> vcpu and the run
>> structures are passed as parameters at the same time. Just grepping 
>> the tree for
>> kvm_run is pretty instructive.
>> 
>>          M.
> 
> Sorry, it's my mistake, I only compiled the x86 platform, I will
> submit patch again.

Not a mistake. All I'm saying is that there is an opportunity for a 
larger
series that cleans up the code base, rather than just doing a couple of
localized changes.

Thanks,

         M.
-- 
Jazz is not dead. It just smells funny...